## wxd 0.1-1.1

=== Makefile ===
#
# Makefile for radiod
#
# $Id: Makefile,v 1.10 1996/09/04 06:43:55 ron Exp $
#
AFOBJ = afosmain.o afloop.o afui.o time.o afio.o afnet.o logwin.c affilt.o \
	afhist.o afconfig.o afport.o affile.o aflog.o aftcp.o \
	afproc.o afpipe.o afaprs.o
APRSOBJ = afloop.o aprs.o
TESTOBJ = porttest.o afconfig.o afport.o affile.o aflog.o aftcp.o \
	afproc.o afpipe.o afaprs.o
OPTFLAGS = -DSTDERR_REDIRECT

.c.o:
	cc -c $(OPTFLAGS) $(CFLAGS) $*.c

wxd: $(AFOBJ)
	cc -c $(OPTFLAGS) -o afversion.o afversion.c
	cc -o wxd afversion.o $(AFOBJ) -lcurses

afosd: $(AFOBJ)
	cc -c $(OPTFLAGS) -o afversion.o afversion.c
	cc -o afosd afversion.o $(AFOBJ) -lcurses

tcpclient: tcpclient.o afloop.o
	cc -o tcpclient tcpclient.o afloop.o

uitest: afui.o uitest.o afloop.o afversion.o logwin.o affilt.o afhist.o
	cc -o uitest afui.o uitest.o afloop.o afversion.o logwin.o affilt.o\
		afhist.o -lcurses

porttest: $(TESTOBJ)
	cc -o porttest $(TESTOBJ)

aprsd: $(APRSOBJ)
	cc -c -o afversion.o afversion.c
	cc  afversion.o $(APRSOBJ) -lc -o aprsd

clean:
	rm -f *.o afosd tcpclient uitest porttest aprsd wxd

=== debian/changelog ===
wxd (0.1-1.1) unstable; urgency=low

  * NMU, fixes release critical bug #50328. Fixed weatherd ownership
    of several files at the right time in postinst.
  * Updated standards version.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 20 Nov 1999 17:22:53 +0100

wxd (0.1-1) unstable; urgency=low

  * initial ipip package for Debian
  * initial pre-release

 -- Ron Luse <ron@rf.org>  Thu,  8 Oct 1998 03:41:52 -0500

	History:

	8/96: Code developed, installed at DVN and packet server
		  in Cedar Rapids.


Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: wxd
Section: hamradio
Priority: extra
Maintainer: Ron Luse <ron@rf.org>
Standards-Version: 3.0.0

Package: wxd
Architecture: any
Depends: ${shlibs:Depends}
Description: Weather Daemon gates NWS data to packet radio.
 This daemon acts as a gateway of weather service data between the
 United States National Weather Service data infrastructure, and 
 the amateur radio service's packet radio network.
 .
 Unless you are installing a packet gateway at an NWS office, you
 probably don't want this.

=== debian/rules ===
#!/usr/bin/make -f
# rules file for the wxd package, requires debhelper
#
# Based on ipip package which has a copyright of:
# copyright 1998 by Bdale Garbee, distributed under the terms of the GPL
# This Derived work has a copyright of:
# copyright 1998 by Ron Luse, distributed under the terms of the GPL

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean

# Build architecture-independent files here.
binary-indep: build

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -s wxd debian/tmp/usr/sbin
	install wxd-start debian/tmp/usr/sbin
	install --mode=644 examples/ports debian/tmp/etc/wxd/ports
	install --mode=644 examples/filter debian/tmp/etc/wxd/filter
	install -d --mode=0755 debian/tmp/var/log/wxd
	install -d --mode=0755 debian/tmp/var/spool/wxd
	install -d --mode=0755 debian/tmp/var/lib/wxd

	dh_installdocs
	dh_installexamples examples/*
	dh_installmenu
	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms

#	install wxd debian/tmp/usr/sbin
#	install --mode=755 wxd-start debian/tmp/usr/sbin
#	install examples/ports debian/tmp/etc/wxd/ports
#	install --owner=weatherd examples/filter debian/tmp/etc/wxd/filter
#	install -d --owner=weatherd --mode=2755 debian/tmp/var/log/wxd
#	install -d --owner=weatherd --mode=2755 debian/tmp/var/spool/wxd
#	install -d --owner=weatherd --mode=2755 debian/tmp/var/lib/wxd

	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
#	dh_du
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
